python-support (1.0.15) unstable; urgency=low

  [ Jakub Wilk ]
  * parseversions:
    + Make comparison of field names case-insensitive.
    + Recognize X-Python-Version.

  [ Piotr Ożarowski ]
  * update-python-modules manpage: fix --install option's description
    (closes: #671942)
  * movemodules:
    - doesn't raise string exceptions anymore (closes: #585332)
  * Standards version is 3.9.3, no changes required

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Jun 2012 19:20:00 +0200

python-support (1.0.14) unstable; urgency=low

  * update-python-modules: remove directory if it's replaced with a file
    (often happens with .egg-info file/dirs)
  * Add deprecation warning: dh_python2 (from python package) should be used
    instead. Migration guide is available on wiki page:
    http://wiki.debian.org/Python/PythonSupportToDHPython2
  * Vcs-* fields now point to anonscm.debian.org
  * Standards version is 3.9.2, no changes required.

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 27 Jun 2011 20:22:56 +0200

python-support (1.0.13) unstable; urgency=low

  [ Loïc Minier ]
  * tests/testparseversions.py: don't hardcode expected versions; instead,
    compare with pyversions' output.
  * pysupport.py: don't hardcode supported and old versions; instead, parse
    debian_defaults; NB: this removes some very old python versions from the
    list (2.1 and 2.2), but these weren't ever support and aren't supported in
    the previous stable release anyway.  Depend on python-minimal as
    debian_defaults is accessed directly.

  [ Piotr Ożarowski ]
  * Upload to unstable (closes: #622906)
  * Add lintian override for depends-on-python-minimal

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 15 Apr 2011 21:14:04 +0200

python-support (1.0.12) experimental; urgency=low

  * Add support for python2.7.
  * Move python2.4 to old versions.

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 18 Oct 2010 19:51:21 +0200

python-support (1.0.11) unstable; urgency=low

  * Move python2.4 to old versions.

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 19 Oct 2010 17:20:22 +0200

python-support (1.0.10) unstable; urgency=low

  * Binary packages with name starting with "python3-" are now ignored by
    dh_pysupport
  * Standards version is 3.9.1, no changes required.

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 14 Sep 2010 19:05:58 +0200

python-support (1.0.9) unstable; urgency=low

  * dh_pysupport: generates correct dependencies if multiple packages need
    pythonX.Y (closes: #576517, thanks to Jakub Wilk for the patch)
  * update-python-modules:
    - remove /usr/lib/pymodules files symlinked to /usr/share/pyshared that
      no longer belong to any python-support based package
    - doesn't raise string exceptions anymore (closes: #585332)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 27 Jun 2010 15:12:52 +0200

python-support (1.0.8) unstable; urgency=low

  [ Jakub Wilk ]
  * movemodules: ignore indentation and trailing whitespace when comparing
    PKG-INFO and *.egg-info files. This is work-around for bug #575377.

  [ Piotr Ożarowski ]
  * Standards version is 3.8.4, no changes required.
  * Use 3.0 (native) source package format 

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Apr 2010 20:11:54 +0200

python-support (1.0.7) unstable; urgency=low

  [ Loïc Minier ]
  * Fix stripping of empty lines in debian/pyversions; LP: #437593;
    closes: #568171.
  * Only search for XS-Python-Version in the debian/control general paragraph
    (the first one, for the source package); see Debian #567941;
    closes: #568173.
  * Add tests for parseversions.
  * Use ./parseversions --all --long to list supported versions during build
    instead of poking pysupport.py_supported directly.
  * Cleanup shell snippet / tabs in rules.
  * Explicitly strip spaces after parsing debian/pyversions.

  [ Josselin Mouette ]
  * dh_pysupport: fix syntax errors in previous patch.
  * README: document that only python is required for arch: all 
    packages, not python-dev. Also talk about python-support itself.
    Closes: #563749.
  * dh_pysupport: print an error if the default Python version cannot be 
    found. Closes: #572155.
  * parseversions: I hate regexes.
  * dh_pysupport: ensure there is a Python dependency even when no 
    specific versions are required. Closes: #568811.

 -- Josselin Mouette <joss@debian.org>  Thu, 11 Mar 2010 23:17:19 +0100

python-support (1.0.6.1) unstable; urgency=low

  * Non-maintainer upload.
  * update-python-modules: set umask to 022. Closes: #567811.

 -- Matt Kraai <kraai@debian.org>  Tue, 23 Feb 2010 03:14:38 -0800

python-support (1.0.6) unstable; urgency=low

  * movemodules: do not touch symlinks that merely point to another 
    place in the module tree. Closes: #539187.

 -- Josselin Mouette <joss@debian.org>  Fri, 04 Dec 2009 09:26:17 +0100

python-support (1.0.5) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Rename .egg-info files the same way .egg-info directories are renamed

  [ Josselin Mouette ]
  * dh_pysupport: use mkdir -p instead of the Perl mkdir function.
    Closes: #558392.

 -- Josselin Mouette <joss@debian.org>  Sat, 28 Nov 2009 20:17:55 +0100

python-support (1.0.4) unstable; urgency=low

  [ Josselin Mouette ]
  * README: fix small but confusing mistake about public extensions.
  * update-python-modules.8: fix typo, thanks Nacho Barrientos.
  * Add Bernd and Piotr to uploaders.
  * dh_pysupport: fix a variable getting included in a regexp.
    Closes: #549283.
  * dh_pysupport: patch by Luca Falavigna to not generate substvars for 
    Python versions not supported by python-defaults. Closes: #549713.

  [ Piotr Ożarowski ]
  * control: add Vcs-Browser and Vcs-Svn fields

 -- Josselin Mouette <joss@debian.org>  Thu, 08 Oct 2009 22:39:22 +0200

python-support (1.0.3) unstable; urgency=low

  * update-python-modules: be resilient against broken directories in 
    /usr/share/python-support. Closes: #528130.

 -- Josselin Mouette <joss@debian.org>  Tue, 12 May 2009 21:46:05 +0200

python-support (1.0.2) unstable; urgency=low

  * dh_pysupport: remove warning about compatibility mode.
  * movemodules: list files in /usr/share/pyshared, so that this place 
    can be used as a destination for stuff installed by hand.
  * Switch to debhelper compatibility mode 7.

 -- Josselin Mouette <joss@debian.org>  Wed, 15 Apr 2009 16:25:13 +0200

python-support (1.0.1) unstable; urgency=low

  * update-python-modules:
    + Use the warning() function for all warnings. Closes: #522856.
  * movemodules:
    + Read links destinations instead of their contents, so that we can 
      support dangling symbolic links. Closes: #523033.

 -- Josselin Mouette <joss@debian.org>  Wed, 08 Apr 2009 12:23:23 +0200

python-support (1.0.0) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Mon, 06 Apr 2009 13:22:14 +0200

python-support (0.90.5) experimental; urgency=low

  * movemodules:
    + Better handling of files from multiple sources, used for files 
      being installed in different directories for python2.5 and 2.6.
    + Add /usr/local/lib/pythonX.Y/dist-packages as a source for 
      modules.
    + Use hashlib instead of md5. Closes: #519189.
  * Require python 2.5 for the hashlib module.

 -- Josselin Mouette <joss@debian.org>  Thu, 26 Mar 2009 19:09:31 +0100

python-support (0.90.4) experimental; urgency=low

  * movemodules:
    + When moving relative symbolic links, handle the case where we move 
      several of them.
    + Support dist-packages as a source for modules.
  * rules: install the .pth in dist-packages for python2.6.
    Closes: #518826.
  * update-python-modules: fix a crash occurring when a package drops 
    some supported versions. Closes: #518973.

 -- Josselin Mouette <joss@debian.org>  Tue, 24 Mar 2009 16:24:12 +0100

python-support (0.90.3) experimental; urgency=low

  * Add a quick guide for maintainers on top of the README. Maybe it 
    will prevent maintainers from doing useless things they thought were 
    necessary by reading the rest.
  * movemodules:
    + Now that we have the /var/lib/python-support symlink, also move 
      files from that directory at build time, this will avoid to change 
      a couple of packages.
    + Preserve relative symbolic links when moving them to a different 
      level

 -- Josselin Mouette <joss@debian.org>  Fri, 27 Feb 2009 00:39:41 +0100

python-support (0.90.2) experimental; urgency=low

  * dh_pysupport: match /\.py$/ instead of /.py$/.
  * movemodules: completely remove empty __init__.py files, they are 
    added at installation time by update-python-modules.
  * post{inst,rm}: add a symbolic link in /var/lib/python-support, 
    otherwise the upgrade will be a big failure for several packages.

 -- Josselin Mouette <joss@debian.org>  Fri, 20 Feb 2009 16:42:52 +0100

python-support (0.90.1) experimental; urgency=low

  * Update priority to match the override.
  * update-python-modules: add a consistency check for the case when no 
    packages using python-support are installed.
  * dh_pysupport: avoid duplicates when handling private modules.
  * movemodules: correctly support the case where 
    /usr/lib/pyshared/pythonX.Y is used but more Python versions are 
    supported.

 -- Josselin Mouette <joss@debian.org>  Thu, 19 Feb 2009 19:16:49 +0100

python-support (0.90.0) experimental; urgency=low

  * Major changes to the installed packages format. The old format is 
    still supported at runtime, but will not be generated anymore.
  * Private modules now ship foo.private files, containing the metadata 
    and file listing for the package.
  * Public modules now ship foo.public files for metadata and listing, 
    and files go to /usr/{share,lib}/pyshared. Closes: #478178.
  * The modules installation path was changed to /usr/lib/pymodules.
  * The private directory has moved to 
    /usr/share/python-support/private. The specific scripts are now 
    installed in here.
  * Important documentation updates.
  * copyright: point to the correct LGPL location.
  * Add support for python2.6.

 -- Josselin Mouette <joss@debian.org>  Wed, 18 Feb 2009 21:44:25 +0100

python-support (0.8.7) unstable; urgency=low

  * update-python-modules (install_modules):
    + Make the error message more useful.

 -- Josselin Mouette <joss@debian.org>  Mon, 27 Oct 2008 09:02:41 +0100

python-support (0.8.6) unstable; urgency=low

  * update-python-modules (create_dotpath):
    + Completely ignore lines starting with "import", as they would be 
      executed by python upon startup.

 -- Josselin Mouette <joss@debian.org>  Fri, 29 Aug 2008 22:31:43 +0200

python-support (0.8.5) unstable; urgency=low

  * update-python-modules (post_change_stuff):
    + Don't create a namespace package if there is a file named .noinit 
      in the same directory. Closes: #459468.
  * dh_pysupport: add correct dependencies when there is such a file.
  * README: document how to do that and that you shouldn't.

 -- Josselin Mouette <joss@debian.org>  Thu, 24 Jul 2008 14:30:01 +0200

python-support (0.8.4) unstable; urgency=medium

  * update-python-modules (post_change_stuff):
    + Remove symbolic links to files in packages not supported by the 
      current python version anymore. Closes: #485740
  * Standards version is 3.8.0, no changes required.

 -- Josselin Mouette <joss@debian.org>  Mon, 30 Jun 2008 13:07:07 +0200

python-support (0.8.3) unstable; urgency=low

  * update-python-modules:
    + Integrate a part of the Ubuntu change for LP#208961, fixes a
      crash that might occur if a dangling symbolic link to an old 
      version of the file in a removed package is found.
  * README:
    + Document the specific case of daemons needing namespace packages. 
      This should be very rare, but you never know.

 -- Josselin Mouette <joss@debian.org>  Mon, 23 Jun 2008 11:07:50 +0200

python-support (0.8.2) unstable; urgency=low

  * Fix typo in 0.8.1 changelog entry.
  * update-python-modules:
    + Call dpkg-trigger explicitly when we need it. This should prevent 
      the trigger from being run *before* the actual installation.
      Closes: #486516.
  * triggers: declare interest on the "pysupport" trigger.

 -- Josselin Mouette <joss@debian.org>  Mon, 23 Jun 2008 02:35:41 +0200

python-support (0.8.1) unstable; urgency=low

  * update-python-modules:
    + Handle the case where a daemon package uses a module that ships a 
      .pth file. In this case, it is needed at once and we cannot wait 
      for the trigger.
  * Depend on dpkg 1.14.19 to not get hit by #479850.
  * Fix minor issue in README.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 May 2008 10:48:00 +0200

python-support (0.8.0) experimental; urgency=low

  * update-python-modules:
    + Don't do anything when called with -c for public modules. This 
      will allow modules to remain available while being upgraded.
    + Don't byte-compile public modules when called without -p, either. 
      This should reduce the time consumed during upgrades.
    + Support a new --post-install/-p option, that byte-compiles public 
      modules and removes any dangling symbolic links left by a package 
      removal or upgrade.
    + Indentation fixes.
  * triggers: register triggers on /usr/share/python-support and 
    /usr/lib/python-support.
  * postinst:
    + Always byte-compile python-support.dirs.
    + Launch update-python-support --post-install to enforce 
      byte-compilation.
    + Launch only this command when triggered.
  * control: build-depend on debhelper 5.0.59 for triggers support.
  * pysupport.py: deprecate python2.3.
  * control: depend on python >= 2.4 to match the change.

 -- Josselin Mouette <joss@debian.org>  Wed, 07 May 2008 00:18:55 +0200

python-support (0.7.7) unstable; urgency=low

  * update-python-modules:
    + Correctly handle the clean mode when called with an unknown 
      directory as argument. Closes: #468848.
    + Fail when a package tries to provide an extension provided by 
      another one (the previous code only worked for modules).
  * README: document that you shouldn't remove the 
    /usr/share/python-support/foo directory.
  * control: properly capitalize Python.

 -- Josselin Mouette <joss@debian.org>  Wed, 12 Mar 2008 00:07:04 +0100

python-support (0.7.6) unstable; urgency=low

  * dh_pysupport: allow the Python-Depends field to be wrapped.
    Closes: #458737.
  * Standards version is 3.7.3; no changes.

 -- Josselin Mouette <joss@debian.org>  Sat, 05 Jan 2008 13:04:30 +0100

python-support (0.7.5) unstable; urgency=low

  * dh_pysupport:
    + Cut out some unused code.
    + Unify script generation, cutting obsolete -i and -b options.
  * {postinst,prerm}-python-support:
    + Update snippets accordingly.
    + Launch the postinst in all cases, not only in the configure case.
      Closes: #446730.

 -- Josselin Mouette <joss@debian.org>  Wed, 31 Oct 2007 18:51:10 +0100

python-support (0.7.4) unstable; urgency=low

  * dh_pysupport: don't treat .so files linking to libpython* as 
    extensions. This will avoid adding spurious dependencies.
  * Fix some wrong changelog entries talking about dh_python.

 -- Josselin Mouette <joss@debian.org>  Thu, 04 Oct 2007 14:22:36 +0200

python-support (0.7.3) unstable; urgency=low

  * dh_pysupport: fix an annoying bug sometimes leading to an invalid 
    substvars file when using Python-Depends.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2007 12:15:34 +0200

python-support (0.7.2) unstable; urgency=low

  * Upload to unstable.
  * dh_pysupport: bump the generated dependencies to version 0.7.1. Modules 
    which need namespace packages will need to build-depend on that 
    version, and will get a dependency on it.

 -- Josselin Mouette <joss@debian.org>  Thu, 20 Sep 2007 23:07:44 +0200

python-support (0.7.1) experimental; urgency=low

  * update-python-modules:
    + Exclude __init__.py files already provided by the package by 
      looking at whether they are symbolic links.
    + Minor cleanups.
    + Use shutil.rmtree instead of rm -rf.

 -- Josselin Mouette <joss@debian.org>  Wed, 27 Jun 2007 19:13:32 +0200

python-support (0.7) experimental; urgency=low

  * Make the package priority standard.
  * update-python-modules: add support for namespace packages, by
    creating and removing automatically empty __init__.py files where
    appropriate. Thanks Gustavo Noronha Silva for the initial idea and 
    precious input.

 -- Josselin Mouette <joss@debian.org>  Sun, 10 Jun 2007 00:45:37 +0200

python-support (0.6.4) unstable; urgency=low

  * update-python-modules: only warn on missing files if we're in
    cleaning mode (prerm). Closes: #422568.
  * pysupport-movemodules: merge .egg-info directories by stripping the 
    -py$vers part from them. Based on a patch by Cyril Brulebois, 
    closes: #422436.

 -- Josselin Mouette <joss@debian.org>  Tue, 08 May 2007 18:48:31 +0200

python-support (0.6.3) unstable; urgency=low

  * dh_pysupport: trim strings in the Python-Depends field.

 -- Josselin Mouette <joss@debian.org>  Wed, 28 Mar 2007 22:50:41 +0200

python-support (0.6.2) unstable; urgency=low

  * pysupport-movemodules: remove .a and .la files, which are useless 
    cruft generated by libtool (closes: #412477).
  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Wed, 21 Mar 2007 22:16:20 +0100

python-support (0.6.1) experimental; urgency=low

  * pysupport-movemodules:
    + Fix a case where the original installation directory was not 
      removed.
    + Move modules from /var/lib/python-support as well. This allows
      to handle packages that hardcode the path to the modules
      (closes: #397895).
  * README:
    + Document the procedure for such packages.
    + Also document the Python-Depends field.

 -- Josselin Mouette <joss@debian.org>  Sat, 24 Feb 2007 13:04:23 +0100

python-support (0.6) experimental; urgency=low

  * dh_pysupport:
    + Generate the useless ${python:Versions} field (closes: #403366).
     + Parse a new control field, Python-Depends, which contains
       dependencies on other python packages. Add to ${python:Depends}
       the virtual dependencies needed for all python versions.
    + Remove useless spaces at the end of python-support dependencies.

 -- Josselin Mouette <joss@debian.org>  Sat, 17 Feb 2007 13:10:27 +0100

python-support (0.5.6) unstable; urgency=medium

  * pysupport-parseversions, dh_pysupport: remove the remaining calls to
    pyversions, thanks Pawel Tecza.
  * This allows to loosen dependencies on python to 2.3.
  * update-python-modules: only show a warning when byte-compilation
    fails, but don't stop the whole process, thanks Raphaël Hertzog
    (closes: #400001).
  * pysupport-parseversions: fix parsing of XS-Python-Version field.

 -- Josselin Mouette <joss@debian.org>  Thu, 23 Nov 2006 22:34:58 +0100

python-support (0.5.5) unstable; urgency=high

  * dh_pysupport, pysupport-movemodules, debian/rules, 
    pysupport-parseversions, pysupport.py: do not rely on pyversions to 
    obtain the list of installed python versions, because it is not a 
    reliable way to do so, see #396840.
  * This brings back support for python2.3, and allows support for 
    python2.5.

 -- Josselin Mouette <joss@debian.org>  Tue, 14 Nov 2006 21:25:16 +0100

python-support (0.5.4) unstable; urgency=high

  * dh_pysupport: patch from Raphaël Hertzog to correctly depend on 
    python when there is no minimum nor maximum version
    (closes: #391689).

 -- Josselin Mouette <joss@debian.org>  Thu, 12 Oct 2006 19:38:41 +0200

python-support (0.5.3) unstable; urgency=low

  * dh_pysupport: always generate dependencies.
  * Conflict with debhelper (<< 5.0.38).

 -- Josselin Mouette <joss@debian.org>  Sun,  1 Oct 2006 19:58:09 +0200

python-support (0.5.2) unstable; urgency=low

  * update-python-modules:
    + Remove some useless code.
    + Small fix in short help.
    + Handle the case of broken symlinks needing to be overwritten.
  * dh_pysupport.1: reference README and policy, thanks Tomas Pospisek 
    (closes: #388171).

 -- Josselin Mouette <joss@debian.org>  Fri, 22 Sep 2006 21:14:15 +0200

python-support (0.5.1) unstable; urgency=low

  * dh_pysupport:
    + Generate ${python:Provides} when no debian/pyversions file exists.
    + Barf when /usr/lib/python-support/$package is lacking an existing
      python version (closes: #387040).

 -- Josselin Mouette <joss@debian.org>  Mon, 11 Sep 2006 23:51:49 +0200

python-support (0.5) unstable; urgency=low

  * update-python-modules: be much stricter in what is accepted on the 
    command line. Only .dirs files are accepted with the -i option, 
    while directories in /usr/share/python-support are accepted with the 
    -b option. It is now possible to pass both kinds of arguments on the 
    command line. Closes: #386830.
  * update-python-modules: abandon compatibility with version 0.1 
    entirely. The warnings have been prominent enough.

 -- Josselin Mouette <joss@debian.org>  Sun, 10 Sep 2006 19:39:21 +0200

python-support (0.4.3) unstable; urgency=medium

  * update-python-modules: check for .path presence when checking for
    newly installed python versions, otherwise stuff might not be
    compiled for it (closes: #383799, medium-urgency fix).
  * update-python-modules: handle symbolic links to directories
    (closes: #378853).

 -- Josselin Mouette <joss@debian.org>  Thu, 31 Aug 2006 21:11:19 +0200

python-support (0.4.2) unstable; urgency=low

  * dh_pysupport: add a python dependency even when there is already a
    dependency on python-support (closes: #383958).
  * pysupport.py: strip all unnecessary whitespace (closes: #385105).
  * pysupport-movemodules: force the umask to avoid getting wrong 
    permissions in the final package (closes: #382755).

 -- Josselin Mouette <joss@debian.org>  Thu, 31 Aug 2006 20:01:10 +0200

python-support (0.4.1) unstable; urgency=low

  * dh_pysupport:
    + Implement the -X option to exclude files from being searched to 
      generate the dependencies.
    + Detect private extensions as .so files calling Py_InitModule*. In
      this case, a strict dependency on python (>= X.Y), python (<<
      X.Y+1) is generated.

 -- Josselin Mouette <joss@debian.org>  Thu, 10 Aug 2006 14:03:48 +0200

python-support (0.4.0) unstable; urgency=low

  * dh_pysupport:
    + Handle dependencies for packages that only ship modules for
      non-default python versions.
    + Always generate dependencies when debian/pycompat isn't found.
    + Add missing newline at the end of the .dirs files.
    + Avoid obtaining a double leading / in .dirs files.
    + Avoid duplicate entries in .dirs files.
    + Create .pyversion in private module directories when the -V option
      is used. Require python-support 0.4 in this case.
    + Handle python dependencies for private modules.
    + Handle script dependencies.
    + Improve comments in the code.
    + Remove .py[co] files in the private module directories.
  * update-python-modules:
    + Don't call compileall.py on non-existing directories
      (closes: #378773).
    + Bytecompilation of private modules for non-default python
      versions, using the .pyversion file.
  * README:
    + Document all these changes.
    + Document that using dh_python is not recommended.

 -- Josselin Mouette <joss@debian.org>  Wed,  9 Aug 2006 00:26:42 +0200

python-support (0.3.9) unstable; urgency=low

  * python-support.rtupdate: only run the script when called with the
    "rtupdate" argument.
  * pysupport-movemodules: keep foo.so.3 files in /usr/lib, but print a
    warning.
  * dh_pysupport:
    + Fix typo in documentation (closes: #375934).
    + Fix --noscripts usage (closes: #378421).
  * README: a few clarifications from Cédric Delfosse
    (closes: #378161).

 -- Josselin Mouette <joss@debian.org>  Wed,  2 Aug 2006 13:23:44 +0200

python-support (0.3.8) unstable; urgency=low

  * update-python-modules: fix upgrade path from pre-0.3.4 versions 
    (closes: #375608).

 -- Josselin Mouette <joss@debian.org>  Tue, 27 Jun 2006 10:00:38 +0200

python-support (0.3.7) unstable; urgency=low

  * debian/prerm: in the case update-python-modules fails, cleanup by 
    hand and exit gracefully. This should make upgrades from broken 
    versions work.

 -- Josselin Mouette <joss@debian.org>  Sun, 25 Jun 2006 15:50:47 +0200

python-support (0.3.6) unstable; urgency=low

  * update-python-modules: Fix a case where the .path file wasn't 
    cleaned up automatically upon package removal.

 -- Josselin Mouette <joss@debian.org>  Sun, 25 Jun 2006 15:17:56 +0200

python-support (0.3.5) unstable; urgency=low

  * update-python-modules: don't try to generate a .path file if the 
    directory doesn't exist. Thanks Bastian Blank for noticing this.

 -- Josselin Mouette <joss@debian.org>  Sun, 25 Jun 2006 15:08:12 +0200

python-support (0.3.4) unstable; urgency=low

  * update-python-modules: handle .pth files correctly, by concatenating
    them into ".path".
  * rules: python-support.pth is now a symbolic link to this .path.
  * dh_pysupport: make packages depend on python-support 0.3.4 to avoid 
    hitting the bug.

 -- Josselin Mouette <joss@debian.org>  Sat, 24 Jun 2006 18:23:21 +0200

python-support (0.3.3) unstable; urgency=low

  * pysupport-movemodules: fix directory creation in the case there is 
    no .py at all in the package.

 -- Josselin Mouette <joss@debian.org>  Sat, 24 Jun 2006 11:54:24 +0200

python-support (0.3.2) unstable; urgency=low

  * dh_pysupport: fix typo affecting dependency generation.
  * README: recommend using pyversions -vr now it works.

 -- Josselin Mouette <joss@debian.org>  Fri, 23 Jun 2006 19:46:53 +0200

python-support (0.3.1) unstable; urgency=low

  * README: add correct documentation (closes: #370515).
  * pysupport-movemodules: remove .pyc and .pyo files if some are 
    generated.

 -- Josselin Mouette <joss@debian.org>  Wed, 21 Jun 2006 10:41:19 +0200

python-support (0.3.0) unstable; urgency=low

  * Acknowledge NMU (closes: #372774).
  * Increase minimal dependency to 0.2 in the helper script.
    + Make it 0.3 in the case where /usr/lib/python-support exists.
  * rules: cdbs already provides DEB_VERSION, no need to re-compute it.
  * install: install dh_pysupport in /usr/bin.
  * Don't build-depend on perl.

  * Standards-version is 3.7.2.
  * Add more warnings and errors for package making wrong uses of
    python-support or using the python-support 0.1 compatibility mode.
  * Use "pyversions -s to get the list of python versions.
    + Depend on python 2.3.5-6.
  * Improve a bit the manual page.
  * Fail if a package tries to overwrite a file provided by another
    package (closes: #373753).
  * Support extensions, by searching
    /usr/lib/python-support/$package/$version for files specific to a
    python version.
  * New command: pysupport-movemodules, to move modules from
    /usr/lib/python2.X trees to the python-support hierarchies.
  * Call this command in dh_pysupport.
  * Add the ability to generate a .version in dh_pysupport, by copying
    debian/pyversions.
  * Add the possibility for automatic generation of ${python:Depends} 
    and ${python:Provides}, when calling dh_pysupport -d.
  * Provide python-support.rt* scripts to provide hooks when python
    versions are installed or removed.
    + The dependency on python (<< 2.4) can be removed.
  * New command: pysupport-parseversions. It parses
    debian/package.pyversions files to display the list of supported
    versions that are included in the version list described here.

 -- Josselin Mouette <joss@debian.org>  Mon, 19 Jun 2006 14:18:29 +0200

python-support (0.2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Integrate dh_pysupport and generate the corresponding man-page. 
    Closes: #372774

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 12 Jun 2006 17:59:47 +0200

python-support (0.2.2) unstable; urgency=low

  * Rewrite the version parser to correctly handle the "-2.x" version
    string.
  * Remove support for python2.1 and python2.2.
  * Purge directories for old python versions.
  * Standards-version is 3.7.0.

 -- Josselin Mouette <joss@debian.org>  Wed,  3 May 2006 18:54:10 +0200

python-support (0.2.1) unstable; urgency=low

  * Include /usr/share/python-support in the package (closes: #365550).

 -- Josselin Mouette <joss@debian.org>  Mon,  1 May 2006 04:26:25 +0200

python-support (0.2) unstable; urgency=low

  * Link the .py files (closes: #365111, #348596, #363505).
  * Support /usr/share/python-support/foo/.version to list the python
    versions for which the package is known to work.
  * Make python-support entirely stateless. We now rely on
    /usr/share/python-support/*/ for directories to install and on
    /usr/share/python-support/*.dirs for directories to bytecompile in
    situ.
  * Improve performance by byte-compiling for non-default python
    versions in a single run.
  * Treat relative paths in arguments as belonging to
    /usr/share/python-support.
  * Support python 2.5.

 -- Josselin Mouette <joss@debian.org>  Sat, 29 Apr 2006 23:29:40 +0200

python-support (0.1.1) unstable; urgency=low

  * Create /var/lib/python-support first.

 -- Josselin Mouette <joss@debian.org>  Fri,  6 Jan 2006 11:25:20 +0100

python-support (0.1) unstable; urgency=low

  * Initial release (closes: #345638).

 -- Josselin Mouette <joss@debian.org>  Mon,  2 Jan 2006 14:52:42 +0100
